QGIS Application - Feature request #1957

Use right-click drag for panning and center on mouse pointer on wheel-zooming

2009-09-29 01:36 AM - Niccolo Rigacci

Status: Closed
Priority: Low
Assignee: nobody -
Category: GUI

Pull Request or Patch supplied:
Easy fix?: No

Resolution: fixed
Copied to github as #: 12017

Description

| use Josm for OpenSteetMap editing and | find two mouse behaviour very useful:

- Use the right-click and drag to pan the map

- When zooming with the mouse wheel, keep the map point under the mouse pointer fixed

This allow to pan and zoom the map quickly, using just the mouse without swtiching tool.

| think that it is very useful and it does not conflict with current behaviour.

History

#1 - 2009-12-13 08:43 AM - Steven Mizuno

Instead of right-click/drag there is Middle button panning available, although | believe it is not documented. There is also using the space bar to pan

without switching tools, as described in the User Guide. The keyboard - arrows and pgup, pgdn for move and zoom - can be used as well.

The mouse behavior described is already available (Settings>Options, Map Tools tab)

#2 - 2009-12-27 08:45 AM - Paolo Cavallini
- Resolution set to fixed
- Status changed from Open to Closed

AFAICT, this can be closed - feel free to reopen it if necessary
